# Update (ARX GUI Documentation)

org.deidentifier.arx.gui

## Class Update

- java.lang.Object
- - org.deidentifier.arx.gui.Update

- All Implemented Interfaces:
    java.lang.Runnable

      public class Update
      extends java.lang.Object
      implements java.lang.Runnable

  This class checks the version number

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Update(org.eclipse.swt.widgets.Shell shell)` Instantiates a new update.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Update

          public Update(org.eclipse.swt.widgets.Shell shell)

      Instantiates a new update.
      Parameters:
        `shell` - the shell

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`